<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Twenty Twelve already
 * has tag.php for Tag archives, category.php for Category archives, and
 * author.php for Author archives.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
<?php 
	$page_for_posts = get_option( 'page_for_posts' );
    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( $page_for_posts, 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( $page_for_posts );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
	<div id="slider-content">
        <div class="slider-page">
            <h2><?php echo get_the_title( $page_for_posts ); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container" class="template-blog">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
    <div class="content-left">
    	<h1 class="entry-title"><?php echo get_the_title( $page_for_posts ); ?></h1>
		<?php if ( have_posts() ) : ?>
			<header class="archive-header">
				<h2 class="archive-title"><?php
					if ( is_day() ) :
						printf( __( 'Daily Archives: %s', 'fabulous' ), '<span>' . get_the_date() . '</span>' );
					elseif ( is_month() ) :
						printf( __( 'Monthly Archives: %s', 'fabulous' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'fabulous' ) ) . '</span>' );
					elseif ( is_year() ) :
						printf( __( 'Yearly Archives: %s', 'fabulous' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'fabulous' ) ) . '</span>' );
					else :
						_e( 'Archives', 'fabulous' );
					endif;
				?></h2>
			</header><!-- .archive-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post(); ?>
				<article class="post">
	    			<h3><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
		    		<span class="date"><?php the_date(); ?></span>
		            <?php the_excerpt(); ?>
		            <a class="read-more" href="<?php echo get_permalink(); ?>">Read More</a>
	    		</article>
			<?php
			endwhile;

			justice_content_nav( 'nav-below' );
			?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>
	</div><!-- #content -->
</div><!-- #primary -->
<?php get_footer(); ?>