<?php
/**
 * The template for displaying Author Archive pages.
 *
 * Used to display archive-type pages for posts by an author.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
	<?php 
		$page_for_posts = get_option( 'page_for_posts' );
		$src = get_template_directory_uri().'/images/banner-interno.jpg';
	?>
	<div id="slider-content">
        <div class="slider-page">
            <h2><?php echo get_the_title( $page_for_posts ); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container" class="template-blog">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
    <div class="content-left">
    	<h1 class="entry-title"><?php echo get_the_title( $page_for_posts ); ?></h1>
		<?php if ( have_posts() ) : ?>

			<?php
				/* Queue the first post, that way we know
				 * what author we're dealing with (if that is the case).
				 *
				 * We reset this later so we can run the loop
				 * properly with a call to rewind_posts().
				 */
				the_post();
			?>

			<header class="archive-header">
				<h2 class="archive-title"><?php printf( __( 'Author Archives: %s', 'fabulous' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me"> ' . get_the_author() . ' </a></span>' ); ?></h2>
			</header><!-- .archive-header -->

			<?php
				/* Since we called the_post() above, we need to
				 * rewind the loop back to the beginning that way
				 * we can run the loop properly, in full.
				 */
				rewind_posts();
			?>

			<?php justice_content_nav( 'nav-above' ); ?>

			<?php
			// If a user has filled out their description, show a bio on their entries.
			if ( get_the_author_meta( 'description' ) ) : ?>
			<div class="author-info">
				<div class="author-avatar">
					<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'fabulous_author_bio_avatar_size', 60 ) ); ?>
				</div><!-- .author-avatar -->
				<div class="author-description">
					<h3><?php printf( __( 'About %s', 'fabulous' ), get_the_author() ); ?></h3>
					<p><?php the_author_meta( 'description' ); ?></p>
				</div><!-- .author-description	-->
			</div><!-- .author-info -->
			<?php endif; ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<article class="post">
	    			<h3><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
		    		<span class="date"><?php the_date(); ?></span>
		            <?php the_excerpt(); ?>
		            <a class="read-more" href="<?php echo get_permalink(); ?>">Read More</a>
	    		</article>
			<?php endwhile; ?>

			<?php justice_content_nav( 'nav-below' ); ?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_footer(); ?>