<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Justice
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/anythingslider.css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/jquery.bxslider.css" media="screen" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script src="<?php bloginfo( 'template_url' ); ?>/js/jquery.easing.min.js"></script>
<script src="<?php bloginfo( 'template_url' ); ?>/js/jquery.anythingslider.js"></script>
<script src="<?php bloginfo( 'template_url' ); ?>/js/jquery.anythingslider.fx.min.js"></script>
<script src="<?php bloginfo( 'template_url' ); ?>/js/jquery.bxslider.min.js"></script>
<script type="text/javascript" src="<?php bloginfo( 'template_url' ); ?>/main.js"></script>

</head>
<body <?php body_class( $class ); ?>>
<?php global $justice_options; 

?>
<div id="top-header">
    	<span class="phone"><?php echo $justice_options['justice_phone']; ?></span>
    </div>
    <header id="head-main" <?php if( !is_front_page() ){ ?>class="header-page"<?php } ?>>
    	<div class="header-content">
        	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="logo">
            <?php if( is_array( $justice_options['justice_logo'] ) && count( $justice_options['justice_logo'] ) > 0 ): ?>
                <img src="<?php echo $justice_options['justice_logo']['url']; ?>" border="0">
            <?php endif; ?>
            </a>
        	<hgroup>
            	<div class="box-followers">
                	<span>FOLLOW US</span> 
                    <?php if($justice_options['justice_tw'] != ""){ ?>
                    <a href="<?php echo $justice_options['justice_tw']; ?>" target="_blank"><img src="<?php bloginfo( 'template_url' ); ?>/images/twitter.png" border="0"></a>
                    <?php } ?>
                    <?php if($justice_options['justice_fb'] != ""){ ?>
                    <a href="<?php echo $justice_options['justice_fb']; ?>" target="_blank"><img src="<?php bloginfo( 'template_url' ); ?>/images/facebook.png" border="0"></a>
                	<?php } ?>
                </div>
                <nav>
                	<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
                    <div class="clear"></div>
                </nav>
            </hgroup>
            <div class="clear"></div>
        </div>