<?php
/**
 * Template Name: Attorneys Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php 
    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( get_the_ID(), 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( get_the_ID() );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
    <div id="slider-content">
        <div class="slider-page">
            <h2><?php the_title(); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
        </div>
    </div>
</header>
<div id="container">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
    <div class="content-left">
            <?php get_template_part( 'content', 'page' ); ?>
        <?php endwhile; wp_reset_query(); // end of the loop. ?>

        <div id="list-attorneys">
        <?php 
            $args = array( 'post_type' => 'attorney', 'posts_per_page' => -1, 'orderby' => 'menu_order','order'=>'ASC' ); 
            $the_query = new WP_Query( $args );
            if ( $the_query->have_posts() ) { 
                $i = 1;
            ?>
            <?php while( $the_query->have_posts() ){
                $the_query->the_post(); 
                $image      = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_id() ), 'full' ); 
                $email      = get_post_meta( get_the_ID(), 'rw_email', true );
            ?>
                <article class='<?php if( $i == 1 ): echo "first-item"; elseif( $i == 4 ): $i=0; endif; ?>'>
                    <?php if( $image ){ ?>
                    <img src="<?php echo $image[0] ?>" alt="<?php echo get_the_title(); ?>">
                    <?php } ?>
                    <div class="content-team">
                        <h4 class="title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h4>
                        <a class="email" href="mailto:<?php echo $email; ?>">Email</a>
                        <a class="card" href="<?php echo get_template_directory_uri(); ?>/vcard.php?id=<?php echo get_the_ID(); ?>" target="_self">vCard</a>
                    </div>
                </article>
            <?php 
                $i++;
            }
            wp_reset_query();
            ?>
        <?php } ?>
        </div>
    </div>
</div>
<?php get_footer(); ?>