<?php
/**
 * Template Name: Contact Us Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php 
    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( get_the_ID(), 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( get_the_ID() );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
    <div id="slider-content">
        <div class="slider-page">
            <h2><?php the_title(); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
        </div>
    </div>
</header>
<div id="container" class="template-contact">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <div id="sidebar-contact">
        <?php global $justice_options; ?>
       
        <aside class="widget-contact">
            <h3 class="title-widget-contact">Contact Information</h3>
            <span class="desc-widget-contact">If You Have Questions, Please Contact</span>
            <div class="info-widget-contact">
                <?php 
                if( trim( $justice_options['justice_phone'] ) !== '' || trim( $justice_options['justice_fax'] ) !== '' ){ ?>
                <div class="phone">
                    <?php if( $justice_options['justice_phone'] !== '' ){ ?>
                    <span>Phone&nbsp;&nbsp;</span><?php echo $justice_options['justice_phone']; ?><br/>
                    <?php }
                    if( $justice_options['justice_fax'] !== '' ){?>
                    <span>Fax&nbsp;&nbsp;</span><?php echo $justice_options['justice_fax']; ?>
                    <?php } ?>
                </div>
                <?php } ?>
                <?php if( trim( $justice_options['justice_email'] ) !== '' ){ ?>
                <div class="email"><a href="mailto:<?php echo $justice_options['justice_email']; ?>"><?php echo $justice_options['justice_email']; ?></a></div>
                <?php } ?>
                <?php if( trim( $justice_options['justice_address'] ) !== '' ){ ?>
                <div class="address"><?php echo $justice_options['justice_address']; ?></div>
                <?php } ?>
            </div>
            <?php if( trim( $justice_options['justice_servicehour'] ) !== '' ){ ?>
            <div class="service-hour">
                <span class="desc-widget-contact">Customer Service Hours</span><br/>
                <?php echo $justice_options['justice_servicehour']; ?>
            </div>
            <?php } ?>
        </aside>
        <?php if( trim( $justice_options['justice_locationmap'] ) !== '' ){  ?>
        <aside class="widget-contact">
            <h3 class="title-widget-contact">Location</h3>
            <?php echo $justice_options['justice_locationmap']; ?>
        </aside>
        <?php } ?>
    </div>
    <div class="content-left">
            <?php get_template_part( 'content', 'page' ); ?>
    </div>
</div>
<?php endwhile; // end of the loop. ?>
<?php get_footer(); ?>