<?php
/**
 * Template Name: Front Page Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>
    <div id="slider-content">
        <ul id="slider">
            <?php 
            global $justice_options; 
            $slider = $justice_options['justice_slide']; 
            ?>
            <?php foreach ($slider as $value) { ?>
            <li>
                <div class="caption-top">
                    <h2><?php echo $value['title']; ?></h2>
                    <p><?php echo $value['description']; ?></p>
                </div>
                <img src="<?php echo $value['image']; ?>" alt="">
            </li>
            <?php } ?>
        </ul>
    </div>
</header>
<div id="container" class="widgets-home">
    <?php dynamic_sidebar( 'sidebar-home' ); ?>
</div>
<?php get_footer(); ?>