<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php 
    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( get_the_ID(), 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( get_the_ID() );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
    <div id="slider-content">
        <div class="slider-page">
            <h2><?php the_title(); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
    <div class="content-left">
        <?php get_template_part( 'content', 'page' ); ?>
	</div>
</div>
<?php endwhile; // end of the loop. ?>
<?php get_footer(); ?>