<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
<?php 
	$page_for_posts = get_option( 'page_for_posts' );

    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( $page_for_posts, 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( $page_for_posts );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
	<div id="slider-content">
        <div class="slider-page">
            <h2>News & Articles</h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container" class="template-blog">
    <div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
    <div class="content-left">
    	<h1 class="entry-title">News & Articles</h1>
		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h2 class="page-title"><?php printf( __( 'Search Results for: %s', 'fabulous' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
			</header>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<article class="post">
	    			<h3><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
		    		<span class="date"><?php the_date(); ?></span>
		            <?php the_excerpt(); ?>
		            <a class="read-more" href="<?php echo get_permalink(); ?>">Read More</a>
	    		</article>
			<?php endwhile; ?>

			<?php justice_content_nav( 'nav-below' ); ?>

		<?php else : ?>

			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'fabulous' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'fabulous' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</article><!-- #post-0 -->

		<?php endif; ?>
	</div><!-- #content -->
</div><!-- #primary -->
<?php get_footer(); ?>