<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>
<?php 
    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( get_the_ID(), 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( get_the_ID() );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
	<div id="slider-content">
        <div class="slider-page">
            <h2><?php the_title(); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container" class="template-single-attorney">
	<div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>

    <?php 
	    $phoneoffice = get_post_meta( get_the_ID(), 'rw_telephone_office', true );
	    $phonedirect = get_post_meta( get_the_ID(), 'rw_telephone_direct', true );
	    $email       = get_post_meta( get_the_ID(), 'rw_email', true );
	    $address     = get_post_meta( get_the_ID(), 'rw_address_street', true );
    ?>

    <div id="siderbar">
    	<div class="siderbar-contact">
	    	<div class="person-attorneys">
	    		<figure>
	    			<?php the_post_thumbnail('full'); ?>
	    		</figure>
				<h2 class="title"><?php echo get_the_title(); ?></h2>
				<div class="links-attorney">
					<a class="email2" href="mailto:<?php echo $email; ?>">Email</a>
					<a class="card" href="<?php echo get_template_directory_uri(); ?>/vcard.php?id=<?php echo get_the_ID(); ?>" target="_self">vCard</a>
				</div>
	    	</div>
	    	<div class="info-attorney">
				<div class="phone"><span>Phone&nbsp;&nbsp;</span><?php echo $phoneoffice; ?></div>
				<div class="email"><a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a></div>
			</div>
			<div class="bar-admission">
				<span class="title-bar">Bar Admissions</span><br/>
				<span class="address-bar"><?php echo $address; ?></span>
			</div>
    	</div>

    </div>
	<div class="content-left">
		<h1>Attorneys</h1>
		<h2 class="title-attorney"><?php the_title(); ?></h2>
		<?php the_content(); ?>
	</div><!-- #content -->
	
</div><!-- #primary -->
<?php endwhile; // end of the loop. ?>
<?php get_footer(); ?>