<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Justice
 */

get_header(); ?>
<?php 
	$page_for_posts = get_option( 'page_for_posts' );

    $src = get_template_directory_uri().'/images/banner-interno.jpg';

    $files = get_post_meta( $page_for_posts, 'rw_banner', false );
    if($files){
        foreach ( $files as $att ){
            $src = wp_get_attachment_image_src( $att, 'full' );
            $src = $src[0];
        }
    }else{
        $parents = get_post_ancestors( $page_for_posts );
        if( is_array( $parents ) && count( $parents ) > 0 ){
            $files = get_post_meta( $parents[0], 'rw_banner', false );
            if($files){
                foreach ( $files as $att ){
                    $src = wp_get_attachment_image_src( $att, 'full' );
                    $src = $src[0];
                }
            }
        }
    }
?>
	<div id="slider-content">
        <div class="slider-page">
            <h2><?php the_title(); ?></h2>
            <img src="<?php echo $src; ?>" border="0">
    	</div>
    </div>
</header>
<div id="container" class="single-blog">
	<div id="breadcrumbs">
        <?php the_breadcrumb() ?>
    </div>
    <?php get_sidebar(); ?>
	<div class="content-left">

		<?php while ( have_posts() ) : the_post(); ?>
			<article class="post">
				<div class="head-post">
					<h1 class="entry-title"><?php the_title(); ?></h1>
					<span class="date"><?php the_date(); ?></span>
				</div>
				<?php the_content(); ?>
			</article>
		<?php endwhile; // end of the loop. ?>

	</div><!-- #content -->
</div><!-- #primary -->
<?php get_footer(); ?>